/*
 *
*/



#include <stdio.h>
#include <stdlib.h>
#include "errors.h"


void usage(void)
{
	printf("Usage: testerr (error code) (error code) ...\n\n");
}


char *status_string(int value)
{
	if (value)
		return "SUCCESS";
	return "FAILURE";
}

void total_string(int value)
{
	printf("Error code %d (%s): %s\n",value,status_string(SUCCESS(value)),GetErrorString(value));
}

int main(int argc,char **argv)
{
	int errornum=-MAX_ERR_NUMBER;
	char *result,*done;

	usage();


	if (argc>=2)
	{
		int current_arg;

		for (current_arg=1;current_arg<argc;current_arg++)
		{
			total_string(atoi(argv[current_arg]));
		}
	} else {
		done=GetErrorString(-1);
		result=GetErrorString(errornum);
		while (result!=done)
		{
			total_string(errornum++);
			result=GetErrorString(errornum);
		}
	}

	return 0;
}
