
#include <stdlib.h>

#include "debug.h"
#include "errors.h"

#include "protocol.h"
#include "logic.h"
#include "bases.h"



ll_baselist *baselist=NULL;


int base_markvisited(int x,int y)
{
	ll_baselist *search;

	search=baselist;

	while (search!=NULL)
	{
		if (search->baseinfo.x==x && search->baseinfo.y==y)
		{
			search->baseinfo.visited=ginfo.turn;
			return 0;
		}
		search=search->next;
	}
	DEBUG_PRINT("Could not find base to mark as visited.\n");
	return 0;
}


int base_addbase(int x,int y)
{
	int rval;
	ll_baselist *newbase;

	DEBUG_PRINT("Adding a base..\n");

	newbase=(ll_baselist *)malloc(sizeof(ll_baselist));

	if (newbase==NULL)
		return ERR_OUTOFMEMORY;

	newbase->baseinfo.visited=0;
	newbase->baseinfo.x=x;
	newbase->baseinfo.y=y;
	newbase->next=baselist;
	baselist=newbase;

	return 0;
}

int base_confirmbase(int x,int y)
{
	if (!base_exist(x,y))
		return base_addbase(x,y);

	return 0;
}

int base_exist(int x,int y)
{
	ll_baselist *current;

	current=baselist;

	while (current!=NULL)
	{
		if (current->baseinfo.x==x && current->baseinfo.y==y)
			return 1;
		current=current->next;
	}
	return 0;
}

ll_baselist *base_baselist(void)
{
	return baselist;
}


